#
# spec file for package python-pytools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Name:           python-pytools
Version:        2016.1
Release:        1.1
Summary:        A collection of tools for Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pytools
Source0:        http://pypi.python.org/packages/source/p/pytools/pytools-%{version}.tar.gz
Source1:        LICENSE.mit
BuildRequires:  python-appdirs >= 1.4.0
BuildRequires:  python-decorator >= 3.2.0
BuildRequires:  python-devel
BuildRequires:  python-numpy >= 1.6.0
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.8.0
Requires:       python-appdirs >= 1.4.0
Requires:       python-decorator >= 3.2.0
Requires:       python-numpy >= 1.6.0
Requires:       python-six >= 1.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pytools is a big bag of things that are "missing" from the Python standard library.
This is mainly a dependency of other software packages (pycuda, pyopencl, etc ),
and is probably of little interest to you unless you use those. If you're curious
nonetheless, here's what's on offer:
* A ton of small tool functions such as len_iterable, argmin, tuple generation,
  permutation generation, ASCII table pretty printing, GvR's mokeypatch_xxx() hack,
  the elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n pytools-%{version}
cp %{SOURCE1} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README LICENSE.mit
%{python_sitelib}/*

%changelog
* Thu Feb  4 2016 mpluskal@suse.com
- Update to 2016.1
  * No changelog available
- Update dependencies
* Tue Dec  8 2015 mpluskal@suse.com
- Install license
* Mon Dec  7 2015 mpluskal@suse.com
- Update to 2015.1.6
  * No changelog available
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 2013.5.7
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu May  2 2013 speilicke@suse.com
- Fix dependencies
- Run testsuite
- Package README
* Wed May  1 2013 prusnak@opensuse.org
- updated to 2012.1
* Sun Jun 17 2012 scorot@free.fr
- version 2011.5
  * no changelog available
* Wed Jun 13 2012 scorot@free.fr
- spec file cleanup
* Mon Jun  4 2012 scorot@free.fr
- spec file cleanup and re-formating
